package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcTown;

/**
 * 区域Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface TcTownMapper 
{
    /**
     * 查询区域
     * 
     * @param id 区域主键
     * @return 区域
     */
    public TcTown selectTcTownById(Long id);

    /**
     * 查询区域列表
     * 
     * @param tcTown 区域
     * @return 区域集合
     */
    public List<TcTown> selectTcTownList(TcTown tcTown);

    /**
     * 新增区域
     * 
     * @param tcTown 区域
     * @return 结果
     */
    public int insertTcTown(TcTown tcTown);

    /**
     * 修改区域
     * 
     * @param tcTown 区域
     * @return 结果
     */
    public int updateTcTown(TcTown tcTown);

    /**
     * 删除区域
     * 
     * @param id 区域主键
     * @return 结果
     */
    public int deleteTcTownById(Long id);

    /**
     * 批量删除区域
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcTownByIds(Long[] ids);




}
